'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class FlashSaleProduct extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  FlashSaleProduct.init({
    flashSaleId: DataTypes.INTEGER,
    productId: DataTypes.INTEGER,
    originalPrice: DataTypes.DECIMAL,
    salePrice: DataTypes.DECIMAL,
    quantity: DataTypes.INTEGER,
    sold: DataTypes.INTEGER
  }, {
    sequelize,
    modelName: 'FlashSaleProduct',
  });
  return FlashSaleProduct;
};